Bug 112128 - Existance of prebuilt applications should be verified
Existance of prebuilt applications should be verified
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 05:05 EST by Daniel Berrange
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:30:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-12-15 05:05:36 EST
Description of problem:

I added the following line to the 'prebuilt' section of project.xml:

    <ccm:application name="ccm-ldn-theme" version="1.4.0" buildOrder="1"/>

Ran, ccm-configure.sh and then 'ant deploy'. Everything seemed to work
as normal, but when I start up the server I got a ClassNotFound
exception for the initializer relating to the theme application. It
turned out that this was because the version was actually '1.0.0' not
'1.4.0'. The ccm-configure.sh script & ant deploy processes should
verify that the pre-built applications actually exist.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add an application with incorrect version
2. Run deploy
3.
  
Actual results:
Deploy appears to work

Expected results:
Error message about non existant app

Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:30:54 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.